-- Module      : Network.AWS.CloudSearch
-- Copyright   : (c) 2013-2014 Brendan Hay <brendan.g.hay@gmail.com>
-- License     : This Source Code Form is subject to the terms of
--               the Mozilla Public License, v. 2.0.
--               A copy of the MPL can be found in the LICENSE file or
--               you can obtain it at http://mozilla.org/MPL/2.0/.
-- Maintainer  : Brendan Hay <brendan.g.hay@gmail.com>
-- Stability   : experimental
-- Portability : non-portable (GHC extensions)

-- | Amazon CloudSearch is a fully-managed service in the AWS Cloud that makes it
-- simple and cost-effective to set up, manage, and scale a search solution for
-- your website or application. Amazon CloudSearch supports 34 languages and
-- popular search features such as highlighting, autocomplete, and geospatial
-- search.
module Network.AWS.CloudSearch
    ( module Network.AWS.CloudSearch.BuildSuggesters
    , module Network.AWS.CloudSearch.CreateDomain
    , module Network.AWS.CloudSearch.DefineAnalysisScheme
    , module Network.AWS.CloudSearch.DefineExpression
    , module Network.AWS.CloudSearch.DefineIndexField
    , module Network.AWS.CloudSearch.DefineSuggester
    , module Network.AWS.CloudSearch.DeleteAnalysisScheme
    , module Network.AWS.CloudSearch.DeleteDomain
    , module Network.AWS.CloudSearch.DeleteExpression
    , module Network.AWS.CloudSearch.DeleteIndexField
    , module Network.AWS.CloudSearch.DeleteSuggester
    , module Network.AWS.CloudSearch.DescribeAnalysisSchemes
    , module Network.AWS.CloudSearch.DescribeAvailabilityOptions
    , module Network.AWS.CloudSearch.DescribeDomains
    , module Network.AWS.CloudSearch.DescribeExpressions
    , module Network.AWS.CloudSearch.DescribeIndexFields
    , module Network.AWS.CloudSearch.DescribeScalingParameters
    , module Network.AWS.CloudSearch.DescribeServiceAccessPolicies
    , module Network.AWS.CloudSearch.DescribeSuggesters
    , module Network.AWS.CloudSearch.IndexDocuments
    , module Network.AWS.CloudSearch.ListDomainNames
    , module Network.AWS.CloudSearch.Types
    , module Network.AWS.CloudSearch.UpdateAvailabilityOptions
    , module Network.AWS.CloudSearch.UpdateScalingParameters
    , module Network.AWS.CloudSearch.UpdateServiceAccessPolicies
    ) where

import Network.AWS.CloudSearch.BuildSuggesters
import Network.AWS.CloudSearch.CreateDomain
import Network.AWS.CloudSearch.DefineAnalysisScheme
import Network.AWS.CloudSearch.DefineExpression
import Network.AWS.CloudSearch.DefineIndexField
import Network.AWS.CloudSearch.DefineSuggester
import Network.AWS.CloudSearch.DeleteAnalysisScheme
import Network.AWS.CloudSearch.DeleteDomain
import Network.AWS.CloudSearch.DeleteExpression
import Network.AWS.CloudSearch.DeleteIndexField
import Network.AWS.CloudSearch.DeleteSuggester
import Network.AWS.CloudSearch.DescribeAnalysisSchemes
import Network.AWS.CloudSearch.DescribeAvailabilityOptions
import Network.AWS.CloudSearch.DescribeDomains
import Network.AWS.CloudSearch.DescribeExpressions
import Network.AWS.CloudSearch.DescribeIndexFields
import Network.AWS.CloudSearch.DescribeScalingParameters
import Network.AWS.CloudSearch.DescribeServiceAccessPolicies
import Network.AWS.CloudSearch.DescribeSuggesters
import Network.AWS.CloudSearch.IndexDocuments
import Network.AWS.CloudSearch.ListDomainNames
import Network.AWS.CloudSearch.Types
import Network.AWS.CloudSearch.UpdateAvailabilityOptions
import Network.AWS.CloudSearch.UpdateScalingParameters
import Network.AWS.CloudSearch.UpdateServiceAccessPolicies
